<?php
class HandmadeMember extends DataObjectAsPage 
{
    //The class of the page which will list this DataObject
    static $listing_class = 'HandmadeMemberListingPage';
    //Class Naming (optional but reccomended)
    static $plural_name = 'Members';
    static $singular_name = 'Member';
	
	static $db = array(
	'Discipline' => "Enum('Ceramics,Lighting,Fashion,Furniture,Stationery,Glass,Interior Accessories,Jewellery,Metalwork,Paper,Sculpture,Textiles,Woodwork')",
	'Website' => 'Text',
	'Image1Title' => 'Text',
	'Image2Title' => 'Text',
	'Image3Title' => 'Text',
	'Image4Title' => 'Text',
	'Image1Details' => 'Text',
	'Image2Details' => 'Text',
	'Image3Details' => 'Text',
	'Image4Details' => 'Text'
	);
	
	static $has_one = array(
        'Image1' => 'Image',
        'Image2' => 'Image',
        'Image3' => 'Image',
        'Image4' => 'Image'
    );
	
	static $searchable_fields = array(
      'Discipline',
      'Title',
	  'Content'
      // leaves out the 'Image1' etc field, removing it from the search
   );
   

				  
	static $summary_fields = array(
		'MemberThumbnail' => 'Image',
		'Title' => 'Member',
		'Discipline' => 'Discipline',
		'Website' => 'Website',
		'URLSegment' => 'URLSegment'
	);
	
	static $field_labels = array(
      'Title' => 'Member Name', // renames the column to "Member Name"
   	  'Content' => 'Description'
   );
   	public static $default_sort = 'Title';

   
		public function getCMSFields() 
	{
		$fields = parent::getCMSFields();
		$fields->addFieldToTab('Root.Main', new TextField('Website','Member Website'));	
		$fields->addFieldToTab('Root.MemberImages', new TextField('Image1Title','Title'));	
		$fields->addFieldToTab('Root.MemberImages', new TextAreaField('Image1Details','Details'));	
		$fields->addFieldToTab('Root.MemberImages', $uploadField = new UploadField('Image1','Main Member Image'));
		$uploadField->setFolderName('member-photos/'.$this->URLSegment);
		$fields->addFieldToTab('Root.MemberImages', new TextField('Image2Title','Title'));	
		$fields->addFieldToTab('Root.MemberImages', new TextAreaField('Image2Details','Details'));	
		$fields->addFieldToTab('Root.MemberImages', $uploadField = new UploadField('Image2','Member Image 2'));
		$uploadField->setFolderName('member-photos/'.$this->URLSegment);
		$fields->addFieldToTab('Root.MemberImages', new TextField('Image3Title','Title'));	
		$fields->addFieldToTab('Root.MemberImages', new TextAreaField('Image3Details','Details'));	
		$fields->addFieldToTab('Root.MemberImages', $uploadField = new UploadField('Image3','Member Image 3'));
		$uploadField->setFolderName('member-photos/'.$this->URLSegment);	
		$fields->addFieldToTab('Root.MemberImages', new TextField('Image4Title','Title'));
		$fields->addFieldToTab('Root.MemberImages', new TextAreaField('Image4Details','Details'));		
		$fields->addFieldToTab('Root.MemberImages', $uploadField = new uploadField('Image4','Member Image 4'));
		$uploadField->setFolderName('member-photos/'.$this->URLSegment);
		//$uploadField->FolderName = 'Uploads/'.'member-photos/'.($this->Title);

		new DropdownField(
			'Discipline',
			'Discipline',
			singleton('HandmadeMember')->dbObject('Discipline')->enumValues());
			
		return $fields;
	}
	public function getMemberThumbnail() { 
		if ($Image = $this->Image1()->ID) { 
			return $this->Image1()->SetWidth(100); 
		} else { 
			return '(No Image)'; 
		} 
	}
}